madshi bug tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000254madVRbugpublic2015-02-23 21:432015-03-26 16:06
ReporterDesmond.Du 
Assigned Tomadshi 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformPCOSWindowsOS Version8.1 Pro 64bit
Summary0000254: madVR 0.87.14 crashes on arAdjustedVideoSize request
DescriptionAn error occurred in madVR
Steps To ReproduceAny video, no matter with subtitle or not, no matter what kind of encode it is.

MPC-BE v1.4.4.141
XySubFilter beta 3.1.0.705
MadVR v0.87.14

1.MPC-BE + madVR + xySubFilter =>> an error occurred in madVR
2.MPC-BE + EVR-cp + xySubFilter = works well
3.MPC-BE + madVR + MPC-BE build in SubFilter = works well
4.MPC-HC(1.7.8) + madVR + xySubFilter = works well

Close the error notice, it would show up for two more times. However, After closing it for two more times, the video would display, subtitle would show up, but I am not sure the madVR would be working or not.

It happens after madVR updating from 0.87.13 to 0.87.14, never happened before.
Additional InformationI have reported it to xy-vsfilter project group, here is one project member's response:

This is most likely a bug in madVR 0.87.14

As soon as XySubFilter connects to the madVR consumer requests the arAdjustedVideoSize parameter, madVR 0.87.14 fails to report it and soon after generates a crash report with a 'divide by zero' exception. The only strange part is this does only occur in MPC-BE, which I have no explanation for. Though looking at the madVR changelog, this seems likely to be a regression caused by "target rect related change for DVBViewer" considering madVR uses the target rect to calculate arAdjustedVideoSize.

I can only suggest you report this bug on madVR bug tracker http://madvr.bugs.madshi.net/ [^] and rollback to the previous madVR 0.87.13 build (attached) for the time being.
     madVR 0.87.13.zip
7.3 MB Download
     crash_logs.rar
309 KB Download
-------------------------------------------------------------------------
I will upload his crash_logs.rar
TagsNo tags attached.
madVR Version0.87.14
Media Player (with version info)MPC-BE v1.4.4.141
Splitter (with version info)LAV 0.64
Decoder (with version info)LAV V+A Decoder 0.64
DecodingSoftware
Deinterlacingnone (progressive)
DXVA2 Scaling Activeno
Aero / Desktop CompositionOn
Problem occurs with modeall modes
GPU ManufacturerAMD + Intel
GPU ModelR290(active) + I5 4670K buildin GPU(deactive)
GPU Driver Version14.12
Attached Filesrar file icon crash_logs.rar [^] (316,886 bytes) 2015-02-23 21:43
rar file icon madVR_08714_mpcbe_crash_logs.rar [^] (66,162 bytes) 2015-02-24 02:09

- Relationships
has duplicate 0000266closedmadshi crash report (included) 

-  Notes
(0000709)
madshi (administrator)
2015-02-23 22:27

Thanks much for the detailed error report. I'll fix this ASAP.
(0000710)
cyberbeing (reporter)
2015-02-24 02:19
edited on: 2015-02-24 02:32

You can delete the other crash_logs.rar, since I wasn't paying attention and allowed madVR to append multiple logs together with some unrelated testing, resulting the madVR logs being 5x larger than they should be.

Fixed in madVR_08714_mpcbe_crash_logs.rar to only include the first instance, which was the intended log.

The important line in the madVR debug log is #3112 where "CVideoRenderer::ISubRenderConsumer::GetSize(field: arAdjustedVideoSize);" is called but returns nothing. This coincides with the stack dump in the crash report, and the last line in the XySubFilter log. I've also confirmed that if I modify XySubFilter to never request arAdjustedVideoSize, no crash occurs.

(0000799)
madshi (administrator)
2015-03-22 11:58

Will be fixed in the next build.

- Issue History
Date Modified Username Field Change
2015-02-23 21:43 Desmond.Du New Issue
2015-02-23 21:43 Desmond.Du File Added: crash_logs.rar
2015-02-23 22:27 madshi Assigned To => madshi
2015-02-23 22:27 madshi Status new => assigned
2015-02-23 22:27 madshi Note Added: 0000709
2015-02-24 02:09 cyberbeing File Added: madVR_08714_mpcbe_crash_logs.rar
2015-02-24 02:19 cyberbeing Note Added: 0000710
2015-02-24 02:30 cyberbeing Note Edited: 0000710 View Revisions
2015-02-24 02:32 cyberbeing Note Edited: 0000710 View Revisions
2015-03-22 11:58 madshi Note Added: 0000799
2015-03-22 11:58 madshi Status assigned => closed
2015-03-22 11:58 madshi Resolution open => fixed
2015-03-26 16:06 madshi Relationship added has duplicate 0000266


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker